#!/usr/bin/env python

import wx
from dmApiFactory import DmApiFactory
 
# Define the DAQs tab content:
class DaqsTab(wx.ListCtrl):
    def __init__(self, stationName, parent, id=-1):
        wx.ListCtrl.__init__(self, parent, id, style=wx.LC_REPORT)
        self.stationName = stationName
        self.experimentDaqApi = DmApiFactory.getInstance().getExperimentDaqApi()

        self.InsertColumn(0, 'Id')
        self.InsertColumn(2, 'Data Directory')
        self.InsertColumn(3, '# Files')

        self.SetColumnWidth(0, 150)
        self.SetColumnWidth(1, 350)
        self.SetColumnWidth(2, 250)

        self.updateList()

    def updateList(self):
        self.daqList = self.experimentDaqApi.listDaqs()

        i = 0
        for daq in self.daqList:
            print daq
            self.InsertStringItem(i, daq.get('id'))
            self.SetStringItem(i, 1, daq.get('dataDirectory', ''))
            self.SetStringItem(i, 2, str(daq.get('nFiles', '0')))
            if (i % 2) == 0:
                self.SetItemBackgroundColour(i, '#e6f1f5')
            i += 1

 

