#!/usr/bin/env python

import wx
from dmApiFactory import DmApiFactory
 
# Define the experiments tab content:
class ExperimentsTab(wx.ListCtrl):
    def __init__(self, stationName, parent, id=-1):
        wx.ListCtrl.__init__(self, parent, id, style=wx.LC_REPORT)
        self.stationName = stationName
        self.experimentDsApi = DmApiFactory.getInstance().getExperimentDsApi()

        self.InsertColumn(0, 'Name')
        self.InsertColumn(1, 'Description')
        self.InsertColumn(2, 'Start Date')

        self.SetColumnWidth(0, 150)
        self.SetColumnWidth(1, 500)
        self.SetColumnWidth(2, 250)

        self.updateList()

    def updateList(self):
        self.experimentList = self.experimentDsApi.getExperimentsByStation(self.stationName)

        i = 0
        for experiment in self.experimentList:
            self.InsertStringItem(i, experiment.get('name'))
            self.SetStringItem(i, 1, experiment.get('description', ''))
            self.SetStringItem(i, 2, str(experiment.get('startDate', '')))
            if (i % 2) == 0:
                self.SetItemBackgroundColour(i, '#e6f1f5')
            i += 1



